## uanytun 0.3.2

=== doc/Makefile ===
##
##  uAnytun
##
##  uAnytun is a tiny implementation of SATP. Unlike Anytun which is a full
##  featured implementation uAnytun has no support for multiple connections
##  or synchronisation. It is a small single threaded implementation intended
##  to act as a client on small platforms.
##  The secure anycast tunneling protocol (satp) defines a protocol used
##  for communication between any combination of unicast and anycast
##  tunnel endpoints.  It has less protocol overhead than IPSec in Tunnel
##  mode and allows tunneling of every ETHER TYPE protocol (e.g.
##  ethernet, ip, arp ...). satp directly includes cryptography and
##  message authentication based on the methodes used by SRTP.  It is
##  intended to deliver a generic, scaleable and secure solution for
##  tunneling and relaying of packets of any protocol.
##  
##
##  Copyright (C) 2007-2008 Christian Pointner <equinox@anytun.org>
##
##  This file is part of uAnytun.
##
##  uAnytun is free software: you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation, either version 3 of the License, or
##  any later version.
##
##  uAnytun is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with uAnytun. If not, see <http://www.gnu.org/licenses/>.
##

VERSION=$(shell cat ../version)

.PHONY: clean 

all: manpage

uanytun.8: uanytun.8.txt
	a2x -f manpage $<
	@ sed -i -e 's/\[FIXME: source\]/uanytun ${VERSION}/' $@
	@ sed -i -e 's/\[FIXME: manual\]/uanytun user manual/' $@
	@ sed -i -e 's/^uanytun$$/\\fBuanytun\\fR/' $@
	@ sed -i -e 's/^  \[ \([^ ]*\)/  [ \\fB\1\\fR/' $@

manpage: uanytun.8

clean:
	rm -f uanytun.8 uanytun.8.xml

=== src/Makefile ===
##
##  uAnytun
##
##  uAnytun is a tiny implementation of SATP. Unlike Anytun which is a full
##  featured implementation uAnytun has no support for multiple connections
##  or synchronisation. It is a small single threaded implementation intended
##  to act as a client on small platforms.
##  The secure anycast tunneling protocol (satp) defines a protocol used
##  for communication between any combination of unicast and anycast
##  tunnel endpoints.  It has less protocol overhead than IPSec in Tunnel
##  mode and allows tunneling of every ETHER TYPE protocol (e.g.
##  ethernet, ip, arp ...). satp directly includes cryptography and
##  message authentication based on the methodes used by SRTP.  It is
##  intended to deliver a generic, scaleable and secure solution for
##  tunneling and relaying of packets of any protocol.
##  
##
##  Copyright (C) 2007-2008 Christian Pointner <equinox@anytun.org>
##
##  This file is part of uAnytun.
##
##  uAnytun is free software: you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation, either version 3 of the License, or
##  any later version.
##
##  uAnytun is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with uAnytun. If not, see <http://www.gnu.org/licenses/>.
##

ifneq ($(MAKECMDGOALS),distclean)
include include.mk
endif

EXECUTABLE := uanytun

CRYPT_OBJ := key_derivation.o \
             auth_algo.o
OBJ := log.o \
       string_list.o \
       sig_handler.o \
       sysexec.o \
       options.o \
       tun.o \
       udp.o \
       plain_packet.o \
       encrypted_packet.o \
       seq_window.o \
       cipher.o \
       uanytun.o


ifndef NO_CRYPT_OBJ
OBJ += $(CRYPT_OBJ)
endif

SRC := $(OBJ:%.o=%.c)

.PHONY: clean cleanall distclean manpage install install-bin install-etc install-man uninstall remove purge

all: $(EXECUTABLE)

%.d: %.c
	@set -e; rm -f $@; \
  $(CC) -MM $(CFLAGS) $< > $@.$$$$; \
  sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
  rm -f $@.$$$$; echo '(re)building $@'

ifneq ($(MAKECMDGOALS),distclean)
-include $(SRC:%.c=%.d)
endif

$(EXECUTABLE): $(OBJ)
	$(CC) $(OBJ) -o $@ $(LDFLAGS)

%.o: %.c
	$(CC) $(CFLAGS) -c $<


strip: $(EXECUTABLE)
	$(STRIP) -s $(EXECUTABLE)

distclean: cleanall
	find . -name *.o -exec rm -f {} \;
	find . -name "*.\~*" -exec rm -rf {} \;
	rm -f include.mk
	rm -f tun.c

clean:
	rm -f *.o
	rm -f *.d
	rm -f *.d.*
	rm -f $(EXECUTABLE)

cleanall: clean
	$(MAKE) --directory="../doc/" clean

manpage:
	$(MAKE) --directory="../doc/" manpage


INSTALL_TARGETS := install-bin install-etc
REMOVE_TARGETS := remove-bin remove-etc

ifdef MANDIR
INSTALL_TARGETS += install-man
REMOVE_TARGETS += remove-man
endif

ifdef EXAMPLESDIR
INSTALL_TARGETS += install-examples
REMOVE_TARGETS += remove-examples
endif

install: all $(INSTALL_TARGETS)

install-bin: $(EXECUTABLE)
	$(INSTALL) -d $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 755 $(EXECUTABLE) $(DESTDIR)$(SBINDIR)

install-etc:
	$(INSTALL) -d $(DESTDIR)$(ETCDIR)/$(EXECUTABLE)
	@ echo "example configurations can be found at $(EXAMPLESDIR)/$(EXECUTABLE)" > $(DESTDIR)$(ETCDIR)/$(EXECUTABLE)/README
	$(INSTALL) -d $(DESTDIR)$(ETCDIR)/init.d
	@ sed -e 's#DAEMON=/usr/sbin/uanytun#DAEMON=$(SBINDIR)/$(EXECUTABLE)#' \
        -e 's#CONFIG_DIR=/etc/uanytun#CONFIG_DIR=$(ETCDIR)/uanytun#' ../etc/init.d/uanytun > ../etc/init.d/uanytun.bak
	$(INSTALL) -m 755 ../etc/init.d/uanytun.bak $(DESTDIR)$(ETCDIR)/init.d/$(EXECUTABLE)
	rm -f ../etc/init.d/uanytun.bak

install-examples:
	$(INSTALL) -d $(DESTDIR)$(EXAMPLESDIR)/$(EXECUTABLE)
	$(INSTALL) -m 644 ../etc/uanytun/autostart $(DESTDIR)$(EXAMPLESDIR)/$(EXECUTABLE)/autostart
	@( cd '../etc/uanytun/' ;                                                                        \
     for dir in `ls`; do                                                                           \
       if [ -d $$dir ]; then                                                                       \
         echo "install $$dir configuration" ;                                                      \
         cd $$dir ;                                                                                \
         $(INSTALL) -d $(DESTDIR)$(EXAMPLESDIR)/$(EXECUTABLE)/$$dir ;                              \
         $(INSTALL) -m 600 config $(DESTDIR)$(EXAMPLESDIR)/$(EXECUTABLE)/$$dir/config ;            \
         if [ -e 'post-up.sh' ]; then                                                              \
           $(INSTALL) -m 755 post-up.sh $(DESTDIR)$(EXAMPLESDIR)/$(EXECUTABLE)/$$dir/post-up.sh ;  \
         fi ;                                                                                      \
         cd .. ;                                                                                   \
       fi ;                                                                                        \
     done                                                                                          \
   )

install-man: manpage
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man8/
	$(INSTALL) -m 644 ../doc/uanytun.8 $(DESTDIR)$(MANDIR)/man8/$(EXECUTABLE).8

uninstall: remove

remove: $(REMOVE_TARGETS)

remove-bin:
	rm -f $(DESTDIR)$(SBINDIR)/$(EXECUTABLE)

remove-etc:
	rm -f $(DESTDIR)$(ETCDIR)/init.d/$(EXECUTABLE)

remove-examples:
	rm -rf $(DESTDIR)$(EXAMPLESDIR)/$(EXECUTABLE)/

remove-man:
	rm -f $(DESTDIR)$(MANDIR)/man8/$(EXECUTABLE).8

purge: remove
	rm -rf $(DESTDIR)$(ETCDIR)/$(EXECUTABLE)/

## uanytun 0.3.3

=== doc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##  tunneling and relaying of packets of any protocol.
 ##  
 ##
-##  Copyright (C) 2007-2008 Christian Pointner <equinox@anytun.org>
+##  Copyright (C) 2007-2010 Christian Pointner <equinox@anytun.org>
 ##
 ##  This file is part of uAnytun.
 ##
@@ -49,4 +49,7 @@
 manpage: uanytun.8
 
 clean:
-	rm -f uanytun.8 uanytun.8.xml
+	rm -f uanytun.8.xml
+
+realclean: clean
+	rm -f uanytun.8

=== src/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##  tunneling and relaying of packets of any protocol.
 ##  
 ##
-##  Copyright (C) 2007-2008 Christian Pointner <equinox@anytun.org>
+##  Copyright (C) 2007-2010 Christian Pointner <equinox@anytun.org>
 ##
 ##  This file is part of uAnytun.
 ##
@@ -89,6 +89,7 @@
 	find . -name *.o -exec rm -f {} \;
 	find . -name "*.\~*" -exec rm -rf {} \;
 	rm -f include.mk
+	rm -f version.h
 	rm -f tun.c
 
 clean:

## uanytun 0.3.5

=== src/Makefile ===
--- 
+++ 
@@ -10,12 +10,12 @@
 ##  tunnel endpoints.  It has less protocol overhead than IPSec in Tunnel
 ##  mode and allows tunneling of every ETHER TYPE protocol (e.g.
 ##  ethernet, ip, arp ...). satp directly includes cryptography and
-##  message authentication based on the methodes used by SRTP.  It is
+##  message authentication based on the methods used by SRTP.  It is
 ##  intended to deliver a generic, scaleable and secure solution for
 ##  tunneling and relaying of packets of any protocol.
-##  
 ##
-##  Copyright (C) 2007-2010 Christian Pointner <equinox@anytun.org>
+##
+##  Copyright (C) 2007-2014 Christian Pointner <equinox@anytun.org>
 ##
 ##  This file is part of uAnytun.
 ##
@@ -31,6 +31,19 @@
 ##
 ##  You should have received a copy of the GNU General Public License
 ##  along with uAnytun. If not, see <http://www.gnu.org/licenses/>.
+##
+##  In addition, as a special exception, the copyright holders give
+##  permission to link the code of portions of this program with the
+##  OpenSSL library under certain conditions as described in each
+##  individual source file, and distribute linked combinations
+##  including the two.
+##  You must obey the GNU General Public License in all respects
+##  for all of the code used other than OpenSSL.  If you modify
+##  file(s) with this exception, you may extend this exception to your
+##  version of the file(s), but you are not obligated to do so.  If you
+##  do not wish to do so, delete this exception statement from your
+##  version.  If you delete this exception statement from all source
+##  files in the program, then also delete it here.
 ##
 
 ifneq ($(MAKECMDGOALS),distclean)

## uanytun 0.3.6

=== doc/Makefile ===
--- 
+++ 
@@ -10,12 +10,12 @@
 ##  tunnel endpoints.  It has less protocol overhead than IPSec in Tunnel
 ##  mode and allows tunneling of every ETHER TYPE protocol (e.g.
 ##  ethernet, ip, arp ...). satp directly includes cryptography and
-##  message authentication based on the methodes used by SRTP.  It is
+##  message authentication based on the methods used by SRTP.  It is
 ##  intended to deliver a generic, scaleable and secure solution for
 ##  tunneling and relaying of packets of any protocol.
-##  
 ##
-##  Copyright (C) 2007-2010 Christian Pointner <equinox@anytun.org>
+##
+##  Copyright (C) 2007-2014 Christian Pointner <equinox@anytun.org>
 ##
 ##  This file is part of uAnytun.
 ##
@@ -32,10 +32,23 @@
 ##  You should have received a copy of the GNU General Public License
 ##  along with uAnytun. If not, see <http://www.gnu.org/licenses/>.
 ##
+##  In addition, as a special exception, the copyright holders give
+##  permission to link the code of portions of this program with the
+##  OpenSSL library under certain conditions as described in each
+##  individual source file, and distribute linked combinations
+##  including the two.
+##  You must obey the GNU General Public License in all respects
+##  for all of the code used other than OpenSSL.  If you modify
+##  file(s) with this exception, you may extend this exception to your
+##  version of the file(s), but you are not obligated to do so.  If you
+##  do not wish to do so, delete this exception statement from your
+##  version.  If you delete this exception statement from all source
+##  files in the program, then also delete it here.
+##
 
 VERSION=$(shell cat ../version)
 
-.PHONY: clean 
+.PHONY: clean
 
 all: manpage

=== debian/changelog ===
uanytun (0.3.6-2) unstable; urgency=medium

  * [45680e6] Fix lintian-warning: init.d-script-does-not-source-init-functions

 -- Darshaka Pathirana <dpat@syn-net.org>  Mon, 08 May 2017 01:11:49 +0200

uanytun (0.3.6-1) unstable; urgency=medium

  * [43e4474] Bump debian compat version to 9
  * [5c5b022] Add #DEBHELPER# token
  * [de3addf] Add build targets build-arch + build-indep
  * [39e27b4] Bump Debian Standards-Version to 3.9.8 (no further changes)
  * [aa4c000] Update + convert debian/copyright to machine-readable deb5 format
  * [bf2b2bb] Add debian/watch file
  * [070b364] Add debian/source/format file, 3.0 (quilt)
  * [70cf739] Imported Upstream version 0.3.6
  * [659377b] Update myself as maintainer / add Michael Prokop as Uploader
  * [4c90b69] Update Vcs-* headers to point to new maintainer location

 -- Darshaka Pathirana <dpat@syn-net.org>  Thu, 26 Jan 2017 03:02:36 +0100

uanytun (0.3.5-1) unstable; urgency=medium

  * [71f6f66] Imported Upstream version 0.3.5
    - Includes support for clang [Closes: #745643]
  * [d1e000b] Bump Standards-Version to 3.9.5
  * [a836c46] wrap-and-sort the debian directory
  * [2fd4cc8] Update dependency from libgcrypt11-dev to libgcrypt20-dev

 -- Michael Prokop <mika@grml.org>  Fri, 29 Aug 2014 13:49:59 -0700

uanytun (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no further changes).
  * Add $remote_fs to Required-{Start,Stop} in initscript.

 -- Michael Prokop <mika@debian.org>  Wed, 17 Feb 2010 03:10:04 +0100

uanytun (0.3.2-2) unstable; urgency=low

  * Drop asciidoc and related packages from build-depends and ship
    manpage statically instead. Upstream will ship manpage in
    next release through the tarball.
  * Apply patch based on the one from Cyril Brulebois for anytun to fix
    FTBFS on GNU/kFreeBSD.

 -- Michael Prokop <mika@debian.org>  Wed, 23 Dec 2009 03:50:43 +0100

uanytun (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #531082)

 -- Michael Prokop <mika@debian.org>  Mon, 14 Dec 2009 17:43:13 +0100

=== debian/control ===
Source: uanytun
Section: net
Priority: extra
Maintainer: Darshaka Pathirana <dpat@syn-net.org>
Uploaders: Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 9~),
               libgcrypt20-dev
Standards-Version: 3.9.8
Homepage: http://www.anytun.org/
Vcs-git: git://git.syn-net.org/debian/uanytun.git
Vcs-Browser: https://git.syn-net.org/?p=debian/uanytun.git

Package: uanytun
Architecture: any
Depends: adduser,
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: tiny implementation of the secure anycast tunneling protocol
 uAnytun is a tiny implementation of SATP (Secure Anycast Tunneling
 Protocol). Unlike Anytun which is a full featured implementation
 uAnytun has no support for multiple connections or synchronisation.
 It is a small single threaded implementation intended to act as a
 client on small platforms. SATP defines a protocol used for
 communication between any combination of unicast and anycast tunnel
 endpoints. It has less protocol overhead than IPSec in Tunnel mode
 and allows tunneling of every ETHER TYPE protocol (e.g. ethernet,
 ip, arp ...). SATP directly includes cryptography and message
 authentication based on the methodes used by SRTP (Secure Real-time
 Transport Protocol). It is intended to deliver a generic,
 scaleable and secure solution for tunneling and relaying of packets
 of any protocol.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd src && ./configure --no-manpage --prefix=/usr --sysconfdir=/etc --examplesdir=/usr/share/uanytun/examples && cd ..
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	cd src && $(MAKE) && cd ..

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) --directory=$(CURDIR)/src distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/uanytun.
	cd src && $(MAKE) DESTDIR=$(CURDIR)/debian/uanytun install && cd ..
	# Fix unusual path:
	mv debian/uanytun/usr/share/uanytun/examples/uanytun debian/uanytun/usr/share/uanytun/examples/config
	echo "example configurations can be found at /usr/share/uanytun/examples/config" > debian/uanytun/etc/uanytun/README

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman doc/uanytun.8
	dh_link
	dh_strip
	dh_compress
	mkdir -p debian/uanytun/usr/share/lintian/overrides/
	cp -av debian/overrides debian/uanytun/usr/share/lintian/overrides/uanytun
	dh_fixperms
	find debian/uanytun -type f -name config     -exec chmod 600 {} \;
	find debian/uanytun -type f -name post-up.sh -exec chmod 755 {} \;
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## uanytun 0.3.7

=== debian/changelog ===
uanytun (0.3.7-2) unstable; urgency=medium

  * [297cfb5] Vcs-git is currently not accessible, removed
  * [49171e1] Bump Debian Standards-Version to 4.5.1 / Debian compat +
    debhelper to 11
  * [099ed35] Updated Vcs-* to salsa.debian.org

 -- Darshaka Pathirana <dpat@syn-net.org>  Mon, 01 Feb 2021 23:31:33 +0100

uanytun (0.3.7-1) unstable; urgency=medium

  * [2ca04c9] Imported Upstream version 0.3.7
  * [81e0859] Drop source init-functions at initscript patch
  * [6f55c74] Update Debian copyright file
  * [978218a] Change Priority of package to optional
  * [6fdfbb1] Bump Debian Standards-Version to 4.1.4
  * [947d3e8] Fix configure script to honor buildflags
  * [4f429f2] Update debian/rules file
  * [cdb24b6] Fix typo in manpage
  * [18bcfe3] Fix spelling error in description

 -- Darshaka Pathirana <dpat@syn-net.org>  Sun, 17 Jun 2018 15:44:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: uanytun
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Darshaka Pathirana <dpat@syn-net.org>
 Uploaders: Michael Prokop <mika@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                libgcrypt20-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
 Homepage: http://www.anytun.org/
-Vcs-git: git://git.syn-net.org/debian/uanytun.git
-Vcs-Browser: https://git.syn-net.org/?p=debian/uanytun.git
+Vcs-Git: https://salsa.debian.org/debian/uanytun.git
+Vcs-Browser: https://salsa.debian.org/debian/uanytun.git
 
 Package: uanytun
 Architecture: any
@@ -28,5 +28,5 @@
  ip, arp ...). SATP directly includes cryptography and message
  authentication based on the methodes used by SRTP (Secure Real-time
  Transport Protocol). It is intended to deliver a generic,
- scaleable and secure solution for tunneling and relaying of packets
+ scalable and secure solution for tunneling and relaying of packets
  of any protocol.

=== debian/watch ===
version=4
https://www.anytun.org/download/ \
uanytun-([\d\.]+)\.tar\.gz
